package com.izouma.awesomeadmin.model;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AreaInfo {
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String power;
    private String cityId;
    private String landmarkId;
    private String areaName;
    private String rankLevel;
    private String allowEdit;
    private String allowNavigate;
    private String publicArea;
    private String remark;
    private String icon;
    private String keyword;
    private String video;
    private String textIntroduction;
    private String url;
    private String showDistance;
    private String templateId;
    private String frontLevelId;
    private String blockId;
    private String areaType;

    private String idStr;

    private String searchKey;

    /**
     * and,test_name,like,value;or,remark,=,123
     */
    private String advancedQuery;

    /**
     * column_name_,desc_;column_name_,asc
     */
    private String orderByStr;

    /**
     * 显示点
     */
    private List<AreaShowPoint> areaShowPointList;

    /**
     * 绑定点标组
     */
    private AimGroupInfo aimGroupInfo;

    /**
     * 事物
     */
    private List<ThingInfo> thingInfoList;


    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return this.createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getPower() {
        return this.power;
    }

    public void setPower(String power) {
        this.power = power;
    }

    public String getCityId() {
        return this.cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getLandmarkId() {
        return this.landmarkId;
    }

    public void setLandmarkId(String landmarkId) {
        this.landmarkId = landmarkId;
    }

    public String getAreaName() {
        return this.areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getRankLevel() {
        return this.rankLevel;
    }

    public void setRankLevel(String rankLevel) {
        this.rankLevel = rankLevel;
    }

    public String getAllowEdit() {
        return this.allowEdit;
    }

    public void setAllowEdit(String allowEdit) {
        this.allowEdit = allowEdit;
    }

    public String getAllowNavigate() {
        return this.allowNavigate;
    }

    public void setAllowNavigate(String allowNavigate) {
        this.allowNavigate = allowNavigate;
    }

    public String getPublicArea() {
        return this.publicArea;
    }

    public void setPublicArea(String publicArea) {
        this.publicArea = publicArea;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIcon() {
        return this.icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getKeyword() {
        return this.keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getVideo() {
        return this.video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    public String getTextIntroduction() {
        return this.textIntroduction;
    }

    public void setTextIntroduction(String textIntroduction) {
        this.textIntroduction = textIntroduction;
    }

    public String getUrl() {
        return this.url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getShowDistance() {
        return this.showDistance;
    }

    public void setShowDistance(String showDistance) {
        this.showDistance = showDistance;
    }

    public String getTemplateId() {
        return this.templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getFrontLevelId() {
        return this.frontLevelId;
    }

    public void setFrontLevelId(String frontLevelId) {
        this.frontLevelId = frontLevelId;
    }

    public String getBlockId() {
        return this.blockId;
    }

    public void setBlockId(String blockId) {
        this.blockId = blockId;
    }

    public String getAreaType() {
        return this.areaType;
    }

    public void setAreaType(String areaType) {
        this.areaType = areaType;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getAdvancedQuery() {
        return advancedQuery;
    }

    public void setAdvancedQuery(String advancedQuery) {
        this.advancedQuery = advancedQuery;
    }

    public String getOrderByStr() {
        return orderByStr;
    }

    public void setOrderByStr(String orderByStr) {
        this.orderByStr = orderByStr;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public List<AreaShowPoint> getAreaShowPointList() {
        return areaShowPointList;
    }

    public void setAreaShowPointList(List<AreaShowPoint> areaShowPointList) {
        this.areaShowPointList = areaShowPointList;
    }

    public AimGroupInfo getAimGroupInfo() {
        return aimGroupInfo;
    }

    public void setAimGroupInfo(AimGroupInfo aimGroupInfo) {
        this.aimGroupInfo = aimGroupInfo;
    }

    public List<ThingInfo> getThingInfoList() {
        return thingInfoList;
    }

    public void setThingInfoList(List<ThingInfo> thingInfoList) {
        this.thingInfoList = thingInfoList;
    }
}

